org.restlet.engine.local

## Class EntityClientHelper

- java.lang.Object
- - org.restlet.engine.Helper
  - - org.restlet.engine.RestletHelper<T>
    - - org.restlet.engine.ConnectorHelper<Client>
      - - org.restlet.engine.ClientHelper
        - - org.restlet.engine.local.LocalClientHelper
          - - org.restlet.engine.local.EntityClientHelper

Direct Known Subclasses:
  FileClientHelper

    public abstract class EntityClientHelper
    extends LocalClientHelper

Connector to the local entities. That connector supports the content negotiation feature (i.e. for GET and HEAD methods) and implements the response to GET/HEAD methods.

Author:
  Thierry Boileau

### Constructor Summary

Constructors
Constructor and Description
`EntityClientHelper(Client client)` Constructor.

### Method Summary

Methods
`Reference` `createReference(java.lang.String scheme, java.lang.String encodedParentDirPath, java.lang.String encodedEntityName, java.lang.String decodedVariantName)` Generate a Reference for a variant name (which is URL decoded) and handle the translation between the incoming requested path (which is URL encoded).
`abstract Entity` `getEntity(java.lang.String path)` Returns a local entity for the given path.
`protected java.lang.String` `getReencodedVariantEntityName(java.lang.String encodedEntityName, java.lang.String decodedVariantEntityName)` Percent-encodes the given percent-decoded variant name of a resource whose percent-encoded name is given.
`protected void` `handleEntityGet(Request request, Response response, Entity entity)` Handles a GET call.
`protected void` `handleLocal(Request request, Response response, java.lang.String decodedPath)` Handles a local call.

### Methods inherited from class org.restlet.engine.local.LocalClientHelper

`getDefaultLanguage, getTimeToLive, handle`

### Methods inherited from class org.restlet.engine.ClientHelper

`getConnectTimeout`

### Methods inherited from class org.restlet.engine.ConnectorHelper

`getConnectorService, getContext, getProtocols, start, stop, update`

### Methods inherited from class org.restlet.engine.RestletHelper

`getAttributes, getHelped, getHelpedParameters, getLogger, getMetadataService, setHelped`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EntityClientHelper

    public EntityClientHelper(Client client)

Constructor.

Parameters:
  `client` - The client to help.

### Method Detail

#### createReference

    public Reference createReference(java.lang.String scheme,
                            java.lang.String encodedParentDirPath,
                            java.lang.String encodedEntityName,
                            java.lang.String decodedVariantName)

Generate a Reference for a variant name (which is URL decoded) and handle the translation between the incoming requested path (which is URL encoded).

Parameters:
  `scheme` - The scheme of the requested resource.
  `encodedParentDirPath` - The encoded path of the parent directory of the requested resource.
  `encodedEntityName` - The encoded name of the requested resource.
  `decodedVariantName` - The decoded name of a returned resource.
Returns:
  A new Reference.

#### getEntity

    public abstract Entity getEntity(java.lang.String path)

Returns a local entity for the given path.

Parameters:
  `path` - The path of the entity.
Returns:
  A local entity for the given path.

#### getReencodedVariantEntityName

    protected java.lang.String getReencodedVariantEntityName(java.lang.String encodedEntityName,
                                                 java.lang.String decodedVariantEntityName)

Percent-encodes the given percent-decoded variant name of a resource whose percent-encoded name is given. Tries to match the longest common part of both encoded entity name and decoded variant name.

Parameters:
  `encodedEntityName` - the percent-encoded name of the initial resource
  `decodedVariantEntityName` - the percent-decoded entity name of a variant of the initial resource.
Returns:
  The variant percent-encoded entity name.

#### handleEntityGet

    protected void handleEntityGet(Request request,
                       Response response,
                       Entity entity)

Handles a GET call.

Parameters:
  `request` - The request to answer.
  `response` - The response to update.
  `entity` - The requested entity (normal or directory).

#### handleLocal

    protected void handleLocal(Request request,
                   Response response,
                   java.lang.String decodedPath)

Description copied from class: `LocalClientHelper`
Handles a local call.

Specified by:
  `handleLocal` in class `LocalClientHelper`
Parameters:
  `request` - The request to handle.
  `response` - The response to update.
  `decodedPath` - The decoded local path.